<?php
    include("func.php"); $fp = fopen("../input/dec-armorgrp.dat", "rb"); $count = endian($fp, 4);
    $fpo = fopen("../output/armorgrp.php", "w+"); fwrite($fpo, "<?php\n", 6);

    for ($i = 0; $i < $count; $i++) {
	unset($rs); $rs = readarmorgrp($fp);
	if (isset($crystal_type[$rs['crystal_type']])) $rs['crystal_type'] = $crystal_type[$rs['crystal_type']];
	if (isset($material_type[$rs['material_type']])) $rs['material_type'] = $material_type[$rs['material_type']];
	if (isset($armor_type[$rs['armor_type']])) $rs['armor_type'] = $armor_type[$rs['armor_type']];
	if (isset($body_part[$rs['body_part']])) $rs['body_part'] = $body_part[$rs['body_part']];
	$write = "    \$rs[$i] = ".array_to_code($rs).";\n";
	fwrite($fpo, $write, strlen($write));
    }
    fwrite($fpo, "?>\n", 3); fclose($fpo);

    function readarmorgrp($fp) {
        $rs['nose01'] = endian($fp, 4); // ALWAYS 1
        $rs['id'] = endian($fp, 4);

        $rs['drop_type'] = endian($fp, 4); // ALWAYS 0, this is not drop_type
        $rs['drop_anim_type'] = endian($fp, 4);
        $rs['drop_radius'] = endian($fp, 4);

        $rs['drop_height'] = endian($fp, 4);

        $rs['nose02'] = endian($fp, 4); // ALWAYS 0

        $rs['drop_mesh'] = textread($fp, 4);
        $rs['drop_texture'] = textread($fp, 4);

	$rs['icon'][1] = textread($fp, 4);

        $rs['nose03'] = endian($fp, 4); // ALWAYS 0
	$rs['nose04'] = endian($fp, 4); // ALWAYS 0

	$rs['icon'][2] = textread($fp, 4);

	$rs['icon'][0] = textread($fp, 4);
	
        $rs['durability'] = endian($fp, 4);
        $rs['weight'] = endian($fp, 4);
        $rs['material_type'] = endian($fp, 4);
        $rs['crystallizable'] = endian($fp, 4);
        $rs['nose06'] = endian($fp, 4); // fuck
        $rs['body_part'] = endian($fp, 4);

	$data = array("mfighter_mesh", "mfighter_texture", "ffighter_mesh", "ffighter_texture", 
		"mdarkelf_mesh", "mdarkelf_texture", "fdarkelf_mesh", "fdarkelf_texture",
		"mdwarf_mesh", "mdwarf_texture", "fdwarf_mesh", "fdwarf_texture",
		"melf_mesh", "melf_texture", "felf_mesh", "felf_texture", 
		"mmagic_mesh", "mmagic_texture", "fmagic_mesh", "fmagic_texture", 
		"morc_mesh", "morc_texture", "forc_mesh", "forc_texture", 
		"mshaman_mesh", "mshaman_texture", "fshaman_mesh", "fshaman_texture");
	
	for ($a = 0; $a < 28; $a++) { 
	    $cant = endian($fp, 4); 
	    for ($i = 0; $i < $cant; $i++) $rs[$data[$a]][$i] = textread($fp, 4);
	}
	
	$rs['nose08'] = endian($fp, 4); // ALWAYS 0
	$rs['nose09'] = endian($fp, 4); // ALWAYS 0

	$cant = endian($fp, 4); 
	for ($i = 0; $i < $cant; $i++) $rs['npc_mesh'][$i] = textread($fp, 4);

	$cant = endian($fp, 4); 
	for ($i = 0; $i < $cant; $i++) $rs['npc_texture'][$i] = textread($fp, 4);


	$rs['attack_effect'] = textread($fp, 4);

        $cant = endian($fp, 4); for ($i = 0; $i < $cant; $i++) $rs['item_sound'][$i] = textread($fp, 4);
	
	$rs['drop_sound'] = textread($fp, 4);
	$rs['equip_sound'] = textread($fp, 4);
        $rs['armor_type'] = endian($fp, 4);
        $rs['crystal_type'] = endian($fp, 4);
        $rs['nose10'] = endian($fp, 4); // ALWAYS 0  avoid_modify
        $rs['physical_defense'] = endian($fp, 4);
        $rs['magical_defense'] = endian($fp, 4);
        $rs['mp_bonus'] = endian($fp, 4);

        return($rs);
    }
?>
