<?php
    include("func.php"); $fp = fopen("../input/dec-weapongrp.dat", "rb"); $count = endian($fp, 4);
    $fpo = fopen("../output/weapongrp.php", "w+"); fwrite($fpo, "<?php\n", 6);

    for ($i = 0; $i < $count; $i++) {
	unset($rs); $rs = readweapongrp($fp);
	if (isset($crystal_type[$rs['crystal_type']])) $rs['crystal_type'] = $crystal_type[$rs['crystal_type']];
	if (isset($material_type[$rs['material_type']])) $rs['material_type'] = $material_type[$rs['material_type']];
	if (isset($armor_type[$rs['armor_type']])) $rs['armor_type'] = $armor_type[$rs['armor_type']];
	if (isset($body_part[$rs['body_part']])) $rs['body_part'] = $body_part[$rs['body_part']];
	if (isset($weapon_type[$rs['weapon_type']])) $rs['weapon_type'] = $weapon_type[$rs['weapon_type']];
	$write = "    \$rs[$i] = ".array_to_code($rs).";\n";
	fwrite($fpo, $write, strlen($write));
    }
    fwrite($fpo, "?>\n", 3); fclose($fpo);

    function readweapongrp($fp) {
	$rs['nose01'] = endian($fp, 4); // SIEMPRE 0 ?
	$rs['id'] = endian($fp, 4);
	$rs['drop_type'] = endian($fp, 4);
	$rs['drop_anim_type'] = endian($fp, 4);
	$rs['drop_radius'] = endian($fp, 4);
	$rs['drop_height'] = endian($fp, 4);

	$rs['nose02'] = endian($fp, 4); // SIEMPRE 0 ?
	
	$rs['drop_mesh']['0'] = textread($fp, 4);
	$rs['drop_texture']['0'] = textread($fp, 4);

	$rs['icon']['1'] = textread($fp, 4);
	
	$tempdrop_mesh1 = textread($fp, 4); if ($tempdrop_mesh1 != "") $rs['drop_mesh']['1'] = $tempdrop_mesh1;
	$tempdrop_texture1 = textread($fp, 4); if ($tempdrop_texture1 != "") $rs['drop_texture']['1'] = $tempdrop_texture1;

	$rs['icon']['2'] = textread($fp, 4);
	$rs['icon']['0'] = textread($fp, 4); 
	
	$rs['durability'] = endian($fp, 4);
	$rs['weight'] = endian($fp, 4);
	$rs['material_type'] = endian($fp, 4);
	$rs['crystallizable'] = endian($fp, 4);
	$rs['nose03'] = endian($fp, 4); // ESTO WTF ES
	$rs['body_part'] = endian($fp, 4);
	$rs['animation'] = endian($fp, 4);
	$cant = endian($fp, 4); for ($i = 0; $i < $cant; $i++) $rs['mesh'][$i] = textread($fp, 4);
	$cant = endian($fp, 4); for ($i = 0; $i < $cant; $i++) $rs['texture'][$i] = textread($fp, 4);
	$cant = endian($fp, 4); for ($i = 0; $i < $cant; $i++) $rs['item_sound'][$i] = textread($fp, 4);
	
	
	$rs['drop_sound'] = textread($fp, 4);
	$rs['equip_sound'] = textread($fp, 4);
	
	$rs['projectile'] = textread($fp, 4);
	$rs['random_damage'] = endian($fp, 4);
	$rs['physical_damage'] = endian($fp, 4);
	$rs['magical_damage'] = endian($fp, 4);
	$rs['weapon_type'] = endian($fp, 4);
	$rs['crystal_type'] = endian($fp, 4);
	$rs['critical'] = endian($fp, 4);
	$rs['hit_modify'] = endian($fp, 4); // fix formula
	$rs['avoid_modify'] = endian($fp, 4); // fix formula
	$rs['shield_defense'] = endian($fp, 4);
	$rs['shield_defense_rate'] = endian($fp, 4);
	$rs['attack_speed'] = endian($fp, 4);
	$rs['mp_consume'] = endian($fp, 4);
	$rs['soulshot_count'] = endian($fp, 4);
	$rs['spiritshot_count'] = endian($fp, 4);
	$rs['curvature'] = endian($fp, 4);

	if (($rs['weapon_type'] == "5") || ($rs['weapon_type'] == "8")) {
	    $rs['nose04'] = textread($fp, 4); // this one is new, some kind of effect action for the weapons ?
	    $rs['nose05'] = textread($fp, 4);
    	    $rs['nose06'] = endian($fp, 4);
	    $rs['nose07'] = endian($fp, 4);
	    $rs['nose08'] = endian($fp, 4);
	    $rs['nose09'] = endian($fp, 4);
	    $rs['nose10'] = endian($fp, 4);
	    $rs['nose11'] = endian($fp, 4);
	    $rs['nose12'] = endian($fp, 4);
	    $rs['nose13'] = endian($fp, 4);
	    $rs['nose14'] = endian($fp, 4);
	    $rs['nose15'] = endian($fp, 4);
	    $rs['nose16'] = textread($fp, 4);
	    $rs['nose17'] = textread($fp, 4);
	    $rs['nose18'] = endian($fp, 4);
	    $rs['nose19'] = endian($fp, 4);
	    $rs['nose20'] = endian($fp, 4);
	    $rs['nose21'] = endian($fp, 4);
	    $rs['nose22'] = endian($fp, 4);
	    $rs['nose23'] = endian($fp, 4);
	    $rs['nose24'] = endian($fp, 4);
    	    $rs['nose25'] = endian($fp, 4);
	    $rs['nose26'] = endian($fp, 4);
	    $rs['nose27'] = endian($fp, 4);
	    $rs['nose28'] = endian($fp, 4);
	    $rs['nose29'] = endian($fp, 4);
	} else {
	    $rs['nose04'] = textread($fp, 4); // this one is new, some kind of effect action for the weapons ?
	    $rs['nose05'] = endian($fp, 4);
    	    $rs['nose06'] = endian($fp, 4);
    	    $rs['nose07'] = endian($fp, 4);
    	    $rs['nose08'] = endian($fp, 4);
	    $rs['nose09'] = endian($fp, 4);
	    $rs['nose10'] = textread($fp, 4);
	    $rs['nose11'] = endian($fp, 4);
	    $rs['nose12'] = endian($fp, 4);
	    $rs['nose13'] = endian($fp, 4);
	    $rs['nose14'] = endian($fp, 4);
	    $rs['nose15'] = endian($fp, 4);
	    $rs['nose16'] = endian($fp, 4);
	}
    	return($rs);
    }
?>
