<?php
    include("func.php"); include("../output/weapongrp.php"); $count = count($rs);
    $fpo = fopen("../modded/dec-weapongrp.dat", "w+"); fwrite($fpo, unendian($count));
    
    $crystal_type = array_flip($crystal_type); $material_type = array_flip($material_type);
    $armor_type = array_flip($armor_type); $body_part = array_flip($body_part); $weapon_type = array_flip($weapon_type);
    
    for ($i = 0; $i < $count; $i++) {
	if (isset($crystal_type[$rs[$i]['crystal_type']])) $rs[$i]['crystal_type'] = $crystal_type[$rs[$i]['crystal_type']];
	if (isset($material_type[$rs[$i]['material_type']])) $rs[$i]['material_type'] = $material_type[$rs[$i]['material_type']];
	if (isset($armor_type[$rs[$i]['armor_type']])) $rs[$i]['armor_type'] = $armor_type[$rs[$i]['armor_type']];
	if (isset($body_part[$rs[$i]['body_part']])) $rs[$i]['body_part'] = $body_part[$rs[$i]['body_part']];
	if (isset($weapon_type[$rs[$i]['weapon_type']])) $rs[$i]['weapon_type'] = $weapon_type[$rs[$i]['weapon_type']];

	fwrite($fpo, unendian($rs[$i]['nose01']), 4);
	fwrite($fpo, unendian($rs[$i]['id']), 4);
	fwrite($fpo, unendian($rs[$i]['drop_type']), 4);
	fwrite($fpo, unendian($rs[$i]['drop_anim_type']), 4);
	fwrite($fpo, unendian($rs[$i]['drop_radius']), 4);
	fwrite($fpo, unendian($rs[$i]['drop_height']), 4);
	
	fwrite($fpo, unendian($rs[$i]['nose02']), 4);
	
	fwrite($fpo, textwrite($rs[$i]['drop_mesh'][0], 4, 0, 1));
	fwrite($fpo, textwrite($rs[$i]['drop_texture'][0], 4, 0, 1));
	
	fwrite($fpo, textwrite($rs[$i]['icon'][1], 4, 0, 1));
	fwrite($fpo, textwrite($rs[$i]['drop_mesh'][1], 4, 0, 1));
	fwrite($fpo, textwrite($rs[$i]['drop_texture'][1], 4, 0, 1));
	
	fwrite($fpo, textwrite($rs[$i]['icon'][2], 4, 0, 1));
	fwrite($fpo, textwrite($rs[$i]['icon'][0], 4, 0, 1));
	
	fwrite($fpo, unendian($rs[$i]['durability']), 4);
	fwrite($fpo, unendian($rs[$i]['weight']), 4);
	fwrite($fpo, unendian($rs[$i]['material_type']), 4);
	fwrite($fpo, unendian($rs[$i]['crystallizable']), 4);
	
	fwrite($fpo, unendian($rs[$i]['nose03']), 4);
	
	fwrite($fpo, unendian($rs[$i]['body_part']), 4);
	fwrite($fpo, unendian($rs[$i]['animation']), 4);
	
	$cant = count($rs[$i]['mesh']); fwrite($fpo, unendian($cant), 4);
	for ($a = 0; $a < $cant; $a++) { fwrite($fpo, textwrite($rs[$i]['mesh'][$a], 4, 0, 1)); }

	$cant = count($rs[$i]['texture']); fwrite($fpo, unendian($cant), 4);
	for ($a = 0; $a < $cant; $a++) { fwrite($fpo, textwrite($rs[$i]['texture'][$a], 4, 0, 1)); }
	
	$cant = count($rs[$i]['item_sound']); fwrite($fpo, unendian($cant), 4);
	for ($a = 0; $a < $cant; $a++) { fwrite($fpo, textwrite($rs[$i]['item_sound'][$a], 4, 0, 1)); }

	fwrite($fpo, textwrite($rs[$i]['drop_sound'], 4, 0, 1));
	fwrite($fpo, textwrite($rs[$i]['equip_sound'], 4, 0, 1));
	fwrite($fpo, textwrite($rs[$i]['projectile'], 4, 0, 1));
	
	fwrite($fpo, unendian($rs[$i]['random_damage']), 4);
	fwrite($fpo, unendian($rs[$i]['physical_damage']), 4);
	fwrite($fpo, unendian($rs[$i]['magical_damage']), 4);
	fwrite($fpo, unendian($rs[$i]['weapon_type']), 4);
	fwrite($fpo, unendian($rs[$i]['crystal_type']), 4);
	fwrite($fpo, unendian($rs[$i]['critical']), 4);
	fwrite($fpo, unendian($rs[$i]['hit_modify']), 4);
	fwrite($fpo, unendian($rs[$i]['avoid_modify']), 4);
	fwrite($fpo, unendian($rs[$i]['shield_defense']), 4);
	fwrite($fpo, unendian($rs[$i]['shield_defense_rate']), 4);
	fwrite($fpo, unendian($rs[$i]['attack_speed']), 4);
	fwrite($fpo, unendian($rs[$i]['mp_consume']), 4);
	fwrite($fpo, unendian($rs[$i]['soulshot_count']), 4);
	fwrite($fpo, unendian($rs[$i]['spiritshot_count']), 4);
	fwrite($fpo, unendian($rs[$i]['curvature']), 4);
	
	if (($rs[$i]['weapon_type'] == "5") || ($rs[$i]['weapon_type'] == "8")) {
	    fwrite($fpo, textwrite($rs[$i]['nose04'], 4, 0, 1));
	    fwrite($fpo, textwrite($rs[$i]['nose05'], 4, 0, 1));
	    fwrite($fpo, unendian($rs[$i]['nose06']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose07']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose08']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose09']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose10']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose11']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose12']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose13']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose14']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose15']), 4);
	    fwrite($fpo, textwrite($rs[$i]['nose16'], 4, 0, 1));
	    fwrite($fpo, textwrite($rs[$i]['nose17'], 4, 0, 1));
	    fwrite($fpo, unendian($rs[$i]['nose18']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose19']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose20']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose21']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose22']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose23']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose24']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose25']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose26']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose27']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose28']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose29']), 4);
	} else {
	    fwrite($fpo, textwrite($rs[$i]['nose04'], 4, 0, 1));
	    fwrite($fpo, unendian($rs[$i]['nose05']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose06']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose07']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose08']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose09']), 4);
	    fwrite($fpo, textwrite($rs[$i]['nose10'], 4, 0, 1));
	    fwrite($fpo, unendian($rs[$i]['nose11']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose12']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose13']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose14']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose15']), 4);
	    fwrite($fpo, unendian($rs[$i]['nose16']), 4);
	}
    }
    fwrite($fpo, $safe); fclose($fpo);
?>
